## kauth 5.3.0

=== debian/changelog ===
kauth (5.3.0-0ubuntu2) utopic; urgency=medium

  * Add upstream_cmake-paths.diff to fix install paths

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Oct 2014 15:21:31 +0200

kauth (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:15:45 +0100

kauth (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:40:42 +0200

kauth (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Refresh patches - all applied upstream 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:11:44 +0200

kauth (5.0.0-0ubuntu3) utopic; urgency=medium

  * Import all upstream commits between v5.0.0 and today in patches/v5.0.0
    (due to be replaced next week by new frameworks release)
    + This should improve overall usefulness of kauth considerably
    + Update install files for new backend plugin and policy generation helper
    + Update symbols file for new plugin

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Jul 2014 19:29:58 +0200

kauth (5.0.0-0ubuntu2) utopic; urgency=medium

  [ Rohan Garg ]
  * Make sure we add the XS-Testsuite field to debian/control

  [ Harald Sitter ]
  * Build depend on libpolkit-qt5-1-dev to make kauth actually work

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 16 Jul 2014 17:41:50 +0200

kauth (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Jul 2014 16:29:12 +0200
