=== debian/control ===
Source: kauth
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libpolkit-qt5-1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kauth
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kauth.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kauth.git

Package: libkf5auth-dev
Section: libdevel
Architecture: any
Depends: libkf5auth5 (= ${binary:Version}),
         libkf5coreaddons-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains development files for kauth.

Package: libkf5auth5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.

Package: libkf5auth-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains data files.

Package: libkf5auth5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5auth5 (= ${binary:Version}), ${misc:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains debug symbols for KAuth.
