=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake,
                dbus-x11,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               libkf5coreaddons-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5coreaddons-dev (>= 5.9.0),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kauth
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kauth.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kauth.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kauth.git
 
 Package: libkf5auth-dev
