=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         dbus-x11, xvfb
Restrictions: rw-build-tree
