## kauth 5.15.0

=== debian/changelog ===
kauth (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:42:59 +0100

kauth (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:09:54 +0100

kauth (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Bump libkf5auth-bin-dev breaks of libkf5auth-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:48:12 +0200

kauth (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge, remove unused broken backport.
  * Vivid backport. 
  * Fix breaks/replaces for libkf5auth-bin-dev. 
  * Merge breaks/replaces to wily. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:24:14 +0200

kauth (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).
  * Revert the -dev package to MA same.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Jun 2015 12:58:58 +0200

kauth (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:01:26 +0200

kauth (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:22 +0200

kauth (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * New pending patch: kauth_add_license

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Mar 2015 14:13:24 +0100

kauth (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Mar 2015 22:52:23 +0100

kauth (5.6.0-1) experimental; urgency=medium

  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Add shlibs:Depends to the -dev package.
  * Add acc autopkgtests.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Jan 2015 19:35:30 +0100
