=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               dbus-x11,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libkf5coreaddons-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kauth
 XS-Testsuite: autopkgtest
@@ -23,10 +22,27 @@
 Package: libkf5auth-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev,
+Multi-Arch: same
+Depends: libkf5auth-bin-dev ( = ${binary:Version}),
+         libkf5auth5 (= ${binary:Version}),
+         libkf5coreaddons-dev (>= 5.15.0~),
          ${misc:Depends},
          ${shlibs:Depends}
+Description: Abstraction to system policy and authentication features
+ KAuth is a framework to let applications perform actions as a
+ privileged user.
+ .
+ KAuth is part of KDE Frameworks 5.
+ .
+ This package contains development files for kauth.
+
+Package: libkf5auth-bin-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Breaks: libkf5auth-dev (<= 5.11.0)
+Replaces: libkf5auth-dev (<= 5.11.0)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
