=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5auth5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
