=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         dbus-x11, xvfb, xauth
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
