## kauth 5.18.0

=== debian/changelog ===
kauth (5.18.0-0ubuntu2) xenial-security; urgency=medium

  [ José Manuel Santamaría Lema ]
  * SECURITY UPDATE: Local privilege escalation (LP: #1689759)
   - debian/patches/local-privilege-esc-CVE-2017-8422.patch
   - Thanks to Sebastian Krahmer for reporting this issue,
     Albert Astals Cid for fixing this issue.
   - CVE-2017-8422

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 16 May 2017 10:20:58 -0700

kauth (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Fix install file. 
  * cmake files in bin-dev seem lost in debian merge.
    Adding back in to make lintain happy. 
  * Revert that and place back in -dev as I am informed 
    that that is where they reside in debian. 
  * Remove my overly greedy entry in the bin-dev install file. 
  * Fix spelling for missing files in bin-dev.
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:18:14 +0100

kauth (5.16.0-1) unstable; urgency=medium

  * Move bin-dev cmake files from the -dev package. Thanks to Aleix Pol
  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:45 +0100

kauth (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Fix merge madness.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 11 Nov 2015 19:07:24 -0800

kauth (5.15.0-2~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * Move bin-dev cmake files from the -dev package. Thanks to Aleix Pol

  [ Scarlett Clark ]
  * Fix a typo in bin-dev install breaking build. 
  * 

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Nov 2015 17:07:35 +0100

kauth (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:02 +0200

kauth (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:30 +0100

kauth (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:11 +0200

kauth (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 14:40:55 +0200

kauth (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:04 +0200
