=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kauth
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -15,9 +16,8 @@
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kauth
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kauth.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
 
 Package: libkf5auth-dev
 Section: libdevel
@@ -25,7 +25,7 @@
 Multi-Arch: same
 Depends: libkf5auth-bin-dev ( = ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.15.0~),
+         libkf5coreaddons-dev (>= 5.16.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
@@ -40,8 +40,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Breaks: libkf5auth-dev (<= 5.11.0)
-Replaces: libkf5auth-dev (<= 5.11.0)
+Breaks: libkf5auth-dev (<< 5.15.0+git20151106)
+Replaces: libkf5auth-dev (<< 5.15.0+git20151106)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
