=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export QT_SELECT=5
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
