## kauth 5.26.0

=== debian/changelog ===
kauth (5.26.0-0ubuntu2.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Local privilege escalation (LP: #1689759)
    - debian/patches/local-privilege-esc-CVE-2017-8422.patch
    - Thanks to Sebastian Krahmer for reporting this issue,
      Albert Astals Cid for fixing this issue.
    - CVE-2017-8422

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 15:49:46 +0200

kauth (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:41:16 +0100

kauth (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:37:31 +0000

kauth (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:07:57 +0200

kauth (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Bump to latest. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:08:53 -0700

kauth (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * Update symbols files from buildds logs (5.18.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:58 +0100

kauth (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:33 +0100
