=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -25,7 +25,7 @@
 Multi-Arch: same
 Depends: libkf5auth-bin-dev ( = ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.16.0~),
+         libkf5coreaddons-dev (>= 5.26.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
@@ -74,17 +74,3 @@
  KAuth is part of KDE Frameworks 5.
  .
  This package contains data files.
-
-Package: libkf5auth5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5auth5 (= ${binary:Version}), ${misc:Depends}
-Description: Abstraction to system policy and authentication features
- KAuth is a framework to let applications perform actions as a
- privileged user.
- .
- KAuth is part of KDE Frameworks 5.
- .
- This package contains debug symbols for KAuth.
