=== debian/changelog ===
kauth (5.28.0-2+deb9u1) stretch; urgency=medium

  * CVE-2019-7443 (Closes: #921995)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 15 Feb 2019 00:03:40 +0100

kauth (5.28.0-2) unstable; urgency=medium

  * Drop applied patch: kauth_add_license
  * Add new upstream patch:
    Verify-that-whoever-is-calling-us-is-actually-who-he-says.patch.
    Fixes CVE-2017-8422 in kauth
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 May 2017 15:03:15 +0200

kauth (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:03:28 +0100

kauth (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.26.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:59:08 +0200

kauth (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.25.0-1).

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session on tests.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:58:44 +0200

kauth (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.23.0-1).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Aug 2016 09:09:28 +0200

kauth (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.22.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 18:45:15 +0200

kauth (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update symbols files from buildds logs (5.21.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 16:04:16 +0200

kauth (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.19.0-1).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 May 2016 10:46:03 +0200
