=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         dbus (>= 1.8), xvfb, xauth
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
