## kauth 5.31.0

=== debian/changelog ===
kauth (5.31.0-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:30 +0000

kauth (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:35:16 +0000

kauth (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master.

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:17:26 +0000

kauth (5.27.0-0ubuntu1) UNRELEASED; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://

  [ Clive Johnston ]
  * Adding lintian override for
    libkf5auth-data: dbus-policy-without-send-destination

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 25 Oct 2016 18:08:50 +0000
