=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kauth
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kauth.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
 
 Package: libkf5auth-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
+Section: libdevel
 Depends: libkf5auth-bin-dev ( = ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.28.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
@@ -34,15 +34,14 @@
  KAuth is part of KDE Frameworks 5.
  .
  This package contains development files for kauth.
-Breaks: libkf5configwidgets-dev (<< 5.28)
 
 Package: libkf5auth-bin-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
+Section: libdevel
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5auth-dev (<< 5.15.0-2~)
 Replaces: libkf5auth-dev (<< 5.15.0-2~)
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -62,9 +61,6 @@
  privileged user.
  .
  KAuth is part of KDE Frameworks 5.
-Breaks: libkf5configwidgets5 (<< 5.28),
-        libkf5kcmutils5 (<< 5.28),
-        libkf5kdelibs4support5 (<< 5.28)
 
 Package: libkf5auth-data
 Architecture: all
