## kauth 5.38.0

=== debian/changelog ===
kauth (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:05 +0100

kauth (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:36 +0100

kauth (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:23 +0100

kauth (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:36 +0100

kauth (5.34.0a-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:30 +0100

kauth (5.33.0-0ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: Local privilege escalation (LP: #1689759)
    - debian/patches/local-privilege-esc-CVE-2017-8422.patch
    - Thanks to Sebastian Krahmer for reporting this issue,
      Albert Astals Cid for fixing this issue.
    - CVE-2017-8422

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 12 May 2017 21:59:37 +0100

kauth (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)
  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:56 +0100
