=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
                libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -24,7 +24,7 @@
 Section: libdevel
 Depends: libkf5auth-bin-dev ( = ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.31.0~),
+         libkf5coreaddons-dev (>= 5.38.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
