## kauth 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,22 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KAuth)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+project(KAuth VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION 5.5.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
+set(REQUIRED_QT_VERSION 5.7.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
+option(KAUTH_BUILD_CODEGENERATOR_ONLY "Only build the kauth-policy-gen code generator." OFF)
+if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
+    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
+endif()
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
@@ -21,13 +27,15 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMQtDeclareLoggingCategory)
 
 include(ECMPoQmTools)
+include(ECMAddQch)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KAUTH
+ecm_setup_version(PROJECT VARIABLE_PREFIX KAUTH
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kauth_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfigVersion.cmake"
                         SOVERSION 5)
@@ -47,14 +55,27 @@
 endif()
 
 add_subdirectory(src)
-add_subdirectory(autotests)
+if(TARGET Qt5::Widgets)
+    add_subdirectory(autotests)
+    add_subdirectory(examples)
+endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Auth")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5Auth_QCH
+        FILE KF5AuthQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AuthQchTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5AuthConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfig.cmake"
     PATH_VARS KDE_INSTALL_DATADIR_KF5
@@ -68,8 +89,10 @@
         COMPONENT Devel )
 
 
-install(EXPORT KF5AuthTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+if(TARGET KF5Auth)
+    install(EXPORT KF5AuthTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
         FILE KF5AuthTargets.cmake NAMESPACE KF5:: COMPONENT Devel)
+endif()
 
 if(NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
     install(EXPORT KF5AuthToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
@@ -79,5 +102,5 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kauth_version.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )
 
-
+install(FILES kauth.categories DESTINATION ${KDE_INSTALL_CONFDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
