=== debian/control ===
Source: kauth
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libpolkit-qt5-1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kauth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth

Package: libkf5auth-bin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5auth-dev (<< 5.15.0-2~)
Replaces: libkf5auth-dev (<< 5.15.0-2~)
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains development files for kauth.

Package: libkf5auth-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains data files.

Package: libkf5auth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5auth-bin-dev ( = ${binary:Version}),
         libkf5auth5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.44.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains development files for kauth.

Package: libkf5auth5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
